ServerEvents.recipes(event => { 



event.smithing(
        'minecraft:netherite_helmet',
        'minecraft:netherite_upgrade_smithing_template',
        'outer_end:mint_crystal_helmet',
        'minecraft:netherite_ingot'
    )

    event.smithing(
        'minecraft:netherite_chestplate',
        'minecraft:netherite_upgrade_smithing_template',
        'outer_end:mint_crystal_chestplate',
        'minecraft:netherite_ingot'
    )

    event.smithing(
        'minecraft:netherite_leggings',
        'minecraft:netherite_upgrade_smithing_template',
        'outer_end:mint_crystal_leggings',
        'minecraft:netherite_ingot'
    )

    event.smithing(
        'minecraft:netherite_boots',
        'minecraft:netherite_upgrade_smithing_template',
        'outer_end:mint_crystal_boots',
        'minecraft:netherite_ingot'
    )

event.remove({id:'minecraft:netherite_helmet_smithing'})
event.remove({id:'minecraft:netherite_chestplate_smithing'})
event.remove({id:'minecraft:netherite_leggings_smithing'})
event.remove({id:'minecraft:netherite_boots_smithing'})


// DARK METAL NOT NEEDED

// FIRON

event.smithing(
        'distant_worlds:firon_helmet',
        'minecraft:netherite_upgrade_smithing_template',
        'minecraft:netherite_helmet',
        'distant_worlds:firon_ingot'
    )

event.smithing(
        'distant_worlds:firon_chestplate',
        'minecraft:netherite_upgrade_smithing_template',
        'minecraft:netherite_chestplate',
        'distant_worlds:firon_ingot'
    )

    event.smithing(
        'distant_worlds:firon_leggings',
        'minecraft:netherite_upgrade_smithing_template',
        'minecraft:netherite_leggings',
        'distant_worlds:firon_ingot'
    )

    event.smithing(
        'distant_worlds:firon_boots',
        'minecraft:netherite_upgrade_smithing_template',
        'minecraft:netherite_boots',
        'distant_worlds:firon_ingot'
    )

   event.remove({id:'distant_worlds:firon_helmet'}) 
   event.remove({id:'distant_worlds:firon_chestplate'}) 
   event.remove({id:'distant_worlds:firon_leggings'}) 
   event.remove({id:'distant_worlds:firon_boots'}) 


   //fire Dragonsteel
event.smithing(
        'iceandfire:dragonsteel_fire_helmet',
        '#iceandfire:scales/dragon/fire',
        'distant_worlds:firon_helmet',
        'iceandfire:dragonsteel_fire_ingot'
    )

    event.smithing(
        'iceandfire:dragonsteel_fire_chestplate',
        '#iceandfire:scales/dragon/fire',
        'distant_worlds:firon_chestplate',
        'iceandfire:dragonsteel_fire_ingot'
    )

    event.smithing(
        'iceandfire:dragonsteel_fire_leggings',
        '#iceandfire:scales/dragon/fire',
        'distant_worlds:firon_leggings',
        'iceandfire:dragonsteel_fire_ingot'
    )

    event.smithing(
        'iceandfire:dragonsteel_fire_boots',
        '#iceandfire:scales/dragon/fire',
        'distant_worlds:firon_boots',
        'iceandfire:dragonsteel_fire_ingot'
    )

    event.remove({id:'iceandfire:dragonsteel_fire_helmet'}) 
    event.remove({id:'iceandfire:dragonsteel_fire_chestplate'}) 
    event.remove({id:'iceandfire:dragonsteel_fire_leggings'}) 
    event.remove({id:'iceandfire:dragonsteel_fire_boots'}) 

    //ICE DRAGONSTEEL

    event.smithing(
        'iceandfire:dragonsteel_ice_helmet',
        '#iceandfire:scales/dragon/ice',
        'distant_worlds:firon_helmet',
        'iceandfire:dragonsteel_ice_ingot'
    )

    event.smithing(
        'iceandfire:dragonsteel_ice_chestplate',
        '#iceandfire:scales/dragon/ice',
        'distant_worlds:firon_chestplate',
        'iceandfire:dragonsteel_ice_ingot'
    )

    event.smithing(
        'iceandfire:dragonsteel_ice_leggings',
        '#iceandfire:scales/dragon/ice',
        'distant_worlds:firon_leggings',
        'iceandfire:dragonsteel_ice_ingot'
    )

    event.smithing(
        'iceandfire:dragonsteel_ice_boots',
        '#iceandfire:scales/dragon/ice',
        'distant_worlds:firon_boots',
        'iceandfire:dragonsteel_ice_ingot'
    )

    event.remove({id:'iceandfire:dragonsteel_ice_helmet'}) 
    event.remove({id:'iceandfire:dragonsteel_ice_chestplate'}) 
    event.remove({id:'iceandfire:dragonsteel_ice_leggings'}) 
    event.remove({id:'iceandfire:dragonsteel_ice_boots'}) 

//LIGHTNING DRAGONSTEEL

event.smithing(
        'iceandfire:dragonsteel_lightning_helmet',
        '#iceandfire:scales/dragon/lightning',
        'distant_worlds:firon_helmet',
        'iceandfire:dragonsteel_lightning_ingot'
    )

    event.smithing(
        'iceandfire:dragonsteel_lightning_chestplate',
        '#iceandfire:scales/dragon/lightning',
        'distant_worlds:firon_chestplate',
        'iceandfire:dragonsteel_lightning_ingot'
    )

    event.smithing(
        'iceandfire:dragonsteel_lightning_leggings',
        '#iceandfire:scales/dragon/lightning',
        'distant_worlds:firon_leggings',
        'iceandfire:dragonsteel_lightning_ingot'
    )

    event.smithing(
        'iceandfire:dragonsteel_lightning_boots',
        '#iceandfire:scales/dragon/lightning',
        'distant_worlds:firon_boots',
        'iceandfire:dragonsteel_lightning_ingot'
    )

    event.remove({id:'iceandfire:dragonsteel_lightning_helmet'}) 
    event.remove({id:'iceandfire:dragonsteel_lightning_chestplate'}) 
    event.remove({id:'iceandfire:dragonsteel_lightning_leggings'}) 
    event.remove({id:'iceandfire:dragonsteel_lightning_boots'}) 
})